As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 135926 - Support for IRCnet network
: Support for IRCnet network
Status: RESOLVED FIXED
[cz-0.9.78]
:
Product: Other Applications
Classification: Client Software
Component: ChatZilla (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: ---
Assigned To: :Gijs
: Samuel Sieb
:
Mentors:
irc://ircnet
Depends on: 27807
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-06 06:09 PST by Artem Goutsoul
Modified: 2006-12-16 09:35 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (1.04 KB, patch)
2006-12-09 14:53 PST, :Gijs
bugzilla-mozilla-20000923: review+
Details | Diff | Splinter Review

Description User image Artem Goutsoul 2002-04-06 06:09:42 PST
It would be great to have a possibility to use "/attach irc://ircnet" or click
on irc://ircnet links, the same way as for efnet, dalnet and other.
Comment 1 User image Garth Wallace 2002-04-06 15:50:42 PST
IRC URLs seem to be working fine. Reporter, what isn't working for you?
Comment 2 User image Morten Nilsen 2002-04-07 07:34:40 PDT
I think the issue is that chatzilla doesn't know about ircnet, but it knows
about efnet, dalnet and so on.
At least, that's how I interpret the reporter's comment.

If it's a valid bug, I imagine it's real simple to fix.
Comment 3 User image Artem Goutsoul 2002-04-08 02:49:34 PDT
Yes, that's exactly what I meant. Even though the mentioned url does open up a
new chatzilla window, it does not connect anywhere. And I would have expected it
to work exactly like EFNET and the others - connect to one of the IRCnet servers. 
Comment 4 User image Matthew Cline 2002-04-10 21:19:33 PDT
Seems valid; approving.
Comment 5 User image Aleksander Hropot 2002-06-08 09:10:54 PDT
i suggest marking this invalid.
ircnet DOES NOT support network masking. the only way to connect to ircnet is by
server (there is no redirection like irc.dal.net or similar, which i presume is
used for /attach dalnet). moreover, ircnet policy is to keep users on their
local servers (geographically) and there are just a few so called "open" servers
that allow connecting form everywhere. If thes changes in the future, you'll be
the first to know. the only other option would be user defined ircnet server
list, to which he can connect to. 
Comment 6 User image James Ross 2003-11-18 07:22:03 PST
Apparently there is now a global server, irc://irc.ircnet.com/, but they still
don't want you to use it.
Comment 7 User image :Gijs 2005-01-02 14:32:33 PST
*Crosspost*

I request that bug 135926, bug 227366 and bug 239080 will be marked dependent on
bug 27807, since all these networks can be added when that bug is fixed.
Comment 8 User image :Gijs 2006-12-09 14:53:26 PST
Created attachment 248118 [details] [diff] [review]
Patch

"Or try to connect to irc.ircnet.com, which will attempt to connect you to an open server." -- from their website.

So I presume the included patch will do fine. If it doesn't, I expect them to provide an alternative - we can't guess in what part of the world we are and connect people to a 'good' server, so...
Comment 9 User image :Gijs 2006-12-13 12:29:50 PST
Checking in mozilla/extensions/irc/xul/content/networks.js;
/cvsroot/mozilla/extensions/irc/xul/content/networks.js,v  <--  networks.js
new revision: 1.4; previous revision: 1.3
done

Note You need to log in before you can comment on or make changes to this bug.